"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.editGuildSticker = void 0;
/**
 * Edit the given sticker.
 *
 * @param bot The bot instance to use to make the request.
 * @param guildId The ID of the guild to get
 * @return A {@link Sticker}
 *
 * @remarks
 * Requires the `MANAGE_EMOJIS_AND_STICKERS` permission.
 * Fires a Guild Stickers Update Gateway event.
 *
 * @see {@link https://discord.com/developers/docs/resources/sticker#modify-guild-sticker}
 */
async function editGuildSticker(bot, guildId, stickerId, options) {
    const result = await bot.rest.runMethod(bot.rest, "PATCH", bot.constants.routes.GUILD_STICKER(guildId, stickerId), {
        name: options.name,
        description: options.description,
        tags: options.tags,
        reason: options.reason,
    });
    return bot.transformers.sticker(bot, result);
}
exports.editGuildSticker = editGuildSticker;
