"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSticker = void 0;
/**
 * Returns a sticker object for the given sticker ID.
 *
 * @param bot The bot instance to use to make the request.
 * @param stickerId The ID of the sticker to get
 * @returns A {@link Sticker}
 *
 * @see {@link https://discord.com/developers/docs/resources/sticker#get-sticker}
 */
async function getSticker(bot, stickerId) {
    const result = await bot.rest.runMethod(bot.rest, "GET", bot.constants.routes.STICKER(stickerId));
    return bot.transformers.sticker(bot, result);
}
exports.getSticker = getSticker;
