import { Bot } from "../../bot.js";
import { StickerPack } from "../../transformers/sticker.js";
import { Collection } from "../../util/collection.js";
/**
 * Returns the list of sticker packs available to Nitro subscribers.
 *
 * @param bot The bot instance to use to make the request.
 * @returns A collection of {@link StickerPack} objects assorted by sticker ID.
 *
 * @see {@link https://discord.com/developers/docs/resources/sticker#list-nitro-sticker-packs}
 */
export declare function getNitroStickerPacks(bot: Bot): Promise<Collection<bigint, StickerPack>>;
